<template>
  <span v-on="$listeners">
    <g-link v-if="internal" class="reset navbar-item py-1 fx-underline" :to="path">{{ label }}</g-link>
    <a
      v-else
      class="reset navbar-item py-1 fx-underline"
      :href="`${path}?ref=arcadia`"
      rel="nofollow noopener noreferrer"
    >{{ label }}</a>
  </span>
</template>

<script>
export default {
  name: 'NavbarMenuItem',
  props: {
    label: String,
    path: String,
  },
  computed: {
    internal() {
      const isInternal = /^\/([a-z\-]+\/)*$/;
      return isInternal.test(this.path);
    },
  },
};
</script>

<style lang="postcss" scoped>
.navbar-item {
  @apply font-navbar tracking-wider uppercase text-gray-900;
}
.navbar-item.fx-underline {
  --line-color: theme('colors.pink.400');
}
.navbar-item.active--exact {
  @apply text-pink-500 cursor-default;
}
</style>